Loading...
Searching...
No Matches
mbedtls_lmots_parameters_t Struct Reference

`#include <lms.h>`

## Data Fields

unsigned char | private_I_key_identifier [MBEDTLS_LMOTS_I_KEY_ID_LEN]
unsigned char | private_q_leaf_identifier [MBEDTLS_LMOTS_Q_LEAF_ID_LEN]
mbedtls_lmots_algorithm_type_t | private_type

## Detailed Description

LMOTS parameters structure.

This contains the metadata associated with an LMOTS key, detailing the algorithm type, the key ID, and the leaf identifier should be key be part of a LMS key.

Definition at line 93 of file lms.h.

## Field Documentation

## private_I_key_identifier

unsigned char mbedtls_lmots_parameters_t::private_I_key_identifier[MBEDTLS_LMOTS_I_KEY_ID_LEN]

The key identifier.

Definition at line 94 of file lms.h.

## private_q_leaf_identifier

unsigned char mbedtls_lmots_parameters_t::private_q_leaf_identifier[MBEDTLS_LMOTS_Q_LEAF_ID_LEN]

Which leaf of the LMS key this is. 0 if the key is not part of an LMS key.

Definition at line 96 of file lms.h.

## private_type

mbedtls_lmots_algorithm_type_t mbedtls_lmots_parameters_t::private_type

The LM-OTS key type identifier as per IANA. Only SHA256_N32_W8 is currently supported.

Definition at line 99 of file lms.h.

The documentation for this struct was generated from the following file:

- lms.h